Chats
Get Chat Messages
Retrieves a paginated list of messages in a chat. Supports cursor-based pagination for infinite scroll.
GET
/
workers
/
{id}
/
chats
/
{chat_id}
/
messages
Get Chat Messages
curl --request GET \
--url https://api.roostedhr.com/api/1_12/workers/{id}/chats/{chat_id}/messages \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.roostedhr.com/api/1_12/workers/{id}/chats/{chat_id}/messages"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.roostedhr.com/api/1_12/workers/{id}/chats/{chat_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"id": "rxsVGOYHC9u",
"message": "Hello there",
"sender_id": "5",
"sender_name": "Chris Davis",
"date_created": "2024-01-05T17:10:00.000Z",
"read": "1"
},
{
"id": "HavJuiLxDiR",
"message": "Hi, how are you?",
"sender_id": "12",
"sender_name": "Jane Smith",
"date_created": "2024-01-05T17:11:00.000Z",
"read": "0"
}
],
"has_more": true
}This endpoint uses cursor-based pagination for infinite scroll. Pass
last_seen_id with the ID of the last message from the previous page to fetch the next set of results. Omit it for the first page.Authorizations
Query Parameters
ID of the last message from the previous page. Omit for the first page.
Maximum number of messages to return per page.
⌘I
Get Chat Messages
